java.net

## Class ProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.ProtocolException

All Implemented Interfaces:
  Serializable

    public class ProtocolException
    extends IOException

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

Since:
  JDK1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProtocolException()` Constructs a new `ProtocolException` with no detail message.
`ProtocolException(String host)` Constructs a new `ProtocolException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProtocolException

    public ProtocolException(String host)

Constructs a new `ProtocolException` with the specified detail message.

Parameters:
  `host` - the detail message.

#### ProtocolException

    public ProtocolException()

Constructs a new `ProtocolException` with no detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.